This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 728858 - Editor navigation should only save if something has changed
Editor navigation should only save if something has changed
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.3
Unspecified Unspecified
high Severity unspecified
: ---
: 1.4.2
Assigned To: James Ni
Ding-Yi Chen
:
Depends On:
Blocks: 720853 Zanata-1.4
  Show dependency treegraph
 
Reported: 2011-08-08 03:13 EDT by Sean Flanigan
Modified: 2011-10-28 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:02:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-08-08 03:13:32 EDT
Description of problem:

If I use the keyboard or the mouse to move around the editor table, the table is saving even when nothing has changed.

Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110808-1605).

How reproducible:
always

Steps to Reproduce:
1. Click in a target cell, but don't change the text.
2. Click in another row.
  
Actual results:
"Saved change to Translation Unit"

Expected results:
Just select the new cell (and update TM results).

Additional info:
Comment 1 Ding-Yi Chen 2011-08-08 21:00:09 EDT
Test Cases

Precondition:
  Assume:
  1st row is approved
  2nd row is need reviewed
  3rd row is empty
  4th row is approved

  Focus is on 1st row

Steps:
1. Move to Next Cell by keyboard shortcut by 3 times
   "Saved Translation Unit" should not appear.
   The Approval status of all rows should not be changed.

2. Move to Previouos Cell by keyboard shortcut by 3 times
   "Saved Translation Unit" should not appear.
   The Approval status of all rows should not be changed.

3. Click on cell editor in row , 1, 4, 2    
   "Saved Translation Unit" should not appear.
   The Approval status of all rows should not be changed.
Comment 2 James Ni 2011-08-11 03:57:19 EDT
I have modified, please verify it.
Comment 3 Ding-Yi Chen 2011-08-11 22:47:28 EDT
Verified with Zanata version 1.4-SNAPSHOT (20110812-0602).

Note You need to log in before you can comment on or make changes to this bug.